# Process endpoints

## The Process object

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"components":{"schemas":{"Process":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"deletionDate":{"description":"The date that defines when the entities will be or have been deleted.","format":"date-time","type":"string"},"documentRefs":{"description":"References to documents that are attached to this process.","items":{"type":"string"},"type":"array"},"domainStatuses":{"additionalProperties":{"$ref":"#/components/schemas/DomainStatus"},"description":"Overview of the different domain adherent status of the process.","type":"object"},"domainStatusHistory":{"description":"History of process status changes caused by changes on the related domains.","items":{"$ref":"#/components/schemas/DomainStatusHistoryItem"},"type":"array"},"domsStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall DOMS status of the process."},"externalActionRefs":{"description":"References to the external actions connected to this process (if any).","items":{"type":"string"},"type":"array"},"facilityRefs":{"description":"References of the Facilities connected to this process (if any).","items":{"type":"string"},"type":"array"},"flatRefs":{"description":"This field references all IDs of any entity connected to this process.","items":{"type":"string"},"type":"array"},"gdprCleanupDate":{"description":"The date that defines when the entities will be or have been anonymized.","format":"date-time","type":"string"},"handoverJobRefs":{"description":"References to Handoverjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"id":{"description":"ID of this process","type":"string"},"inventoryStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall inventory status of the process"},"isAnonymized":{"description":"Indicates if the entities have been anonymized.","type":"boolean"},"itemReturnJobsRef":{"description":"References to the Item Return Job connected to this process (if present).","items":{"type":"string"},"type":"array"},"lastDomainEntityStatuses":{"description":"The last domain statuses of each domain","items":{"$ref":"#/components/schemas/LastDomainEntityStatusItem"},"type":"array"},"operativeStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall operative status of the process"},"orderRef":{"description":"References to the Order connected to this process (if present).","type":"string"},"packJobRefs":{"description":"References of the Packjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"pickJobRefs":{"description":"References to the Pickjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"returnRefs":{"description":"References to the Returns connected to this process (if present).","items":{"type":"string"},"type":"array"},"returnStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"NOT_AVAILABLE","description":"Overall return status of the process"},"routingPlanRefs":{"description":"References the RoutingPlans that were used during this process (if present).","items":{"type":"string"},"type":"array"},"serviceJobRefs":{"description":"References to the Service Jobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"shipmentRefs":{"description":"References to the Shipments connected to this process (if present).","items":{"type":"string"},"type":"array"},"status":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall status of the process."},"tenantOrderId":{"description":"The tenantOrderId referencing this process.","type":"string"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"required":["gdprCleanupDate","id"],"type":"object","title":"Process","description":"Process"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"DomainStatus":{"enum":["PENDING","CREATED","IN_PROGRESS","STUCK","FINISHED","CANCELED","OBSOLETE"],"type":"string","title":"DomainStatus","description":"DomainStatus"},"DomainStatusHistoryItem":{"description":"This item represent a process status change triggered by a specific domain.","properties":{"domain":{"$ref":"#/components/schemas/DomainType","description":"The domain of the entity that caused the status change."},"domainEntityProcessStatus":{"$ref":"#/components/schemas/DomainStatus","description":"The assigned status"},"domainRef":{"description":"The id of the domain entity that caused the status change.","type":"string"},"statusChangeReasonKey":{"description":"This property captures the reason for the entity’s status change. Each domain can define its own set of reasons, represented as an ENUM","type":"string"},"timestamp":{"description":"Timestamp of the moment at which the state was notified by the domain.","format":"date-time","type":"string"}},"required":["timestamp","domain","domainEntityProcessStatus","domainRef"],"type":"object","title":"DomainStatusHistoryItem"},"DomainType":{"enum":["ORDER","ROUTING_PLAN","PICKJOB","PACKJOB","SHIPMENT","HANDOVER","RETURN","SERVICE_JOB","ITEM_RETURN_JOB","PARCEL","RESERVATION"],"type":"string","title":"DomainType","description":"DomainType"},"ProcessStatus":{"enum":["CREATED","IN_PROGRESS","FINISHED","CANCELED","ERROR","NOT_AVAILABLE"],"type":"string","title":"ProcessStatus","description":"ProcessStatus"},"LastDomainEntityStatusItem":{"description":"An object holding the last DomainStatus of a given entity and its corresponding domain.","properties":{"domain":{"$ref":"#/components/schemas/DomainType","description":"The domain of the entity that caused the status change."},"entityId":{"description":"The entity id","type":"string"},"status":{"$ref":"#/components/schemas/DomainStatus","description":"The status of the entity."}},"required":["domain","status","entityId"],"type":"object","title":"LastDomainEntityStatusItem"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"}}}}
```

## POST /api/processes/{processId}/reroute

> Create process reroute

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"A process groups all entities of an order.","name":"Processes (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Process":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"deletionDate":{"description":"The date that defines when the entities will be or have been deleted.","format":"date-time","type":"string"},"documentRefs":{"description":"References to documents that are attached to this process.","items":{"type":"string"},"type":"array"},"domainStatuses":{"additionalProperties":{"$ref":"#/components/schemas/DomainStatus"},"description":"Overview of the different domain adherent status of the process.","type":"object"},"domainStatusHistory":{"description":"History of process status changes caused by changes on the related domains.","items":{"$ref":"#/components/schemas/DomainStatusHistoryItem"},"type":"array"},"domsStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall DOMS status of the process."},"externalActionRefs":{"description":"References to the external actions connected to this process (if any).","items":{"type":"string"},"type":"array"},"facilityRefs":{"description":"References of the Facilities connected to this process (if any).","items":{"type":"string"},"type":"array"},"flatRefs":{"description":"This field references all IDs of any entity connected to this process.","items":{"type":"string"},"type":"array"},"gdprCleanupDate":{"description":"The date that defines when the entities will be or have been anonymized.","format":"date-time","type":"string"},"handoverJobRefs":{"description":"References to Handoverjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"id":{"description":"ID of this process","type":"string"},"inventoryStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall inventory status of the process"},"isAnonymized":{"description":"Indicates if the entities have been anonymized.","type":"boolean"},"itemReturnJobsRef":{"description":"References to the Item Return Job connected to this process (if present).","items":{"type":"string"},"type":"array"},"lastDomainEntityStatuses":{"description":"The last domain statuses of each domain","items":{"$ref":"#/components/schemas/LastDomainEntityStatusItem"},"type":"array"},"operativeStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall operative status of the process"},"orderRef":{"description":"References to the Order connected to this process (if present).","type":"string"},"packJobRefs":{"description":"References of the Packjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"pickJobRefs":{"description":"References to the Pickjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"returnRefs":{"description":"References to the Returns connected to this process (if present).","items":{"type":"string"},"type":"array"},"returnStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"NOT_AVAILABLE","description":"Overall return status of the process"},"routingPlanRefs":{"description":"References the RoutingPlans that were used during this process (if present).","items":{"type":"string"},"type":"array"},"serviceJobRefs":{"description":"References to the Service Jobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"shipmentRefs":{"description":"References to the Shipments connected to this process (if present).","items":{"type":"string"},"type":"array"},"status":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall status of the process."},"tenantOrderId":{"description":"The tenantOrderId referencing this process.","type":"string"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"required":["gdprCleanupDate","id"],"type":"object","title":"Process","description":"Process"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"DomainStatus":{"enum":["PENDING","CREATED","IN_PROGRESS","STUCK","FINISHED","CANCELED","OBSOLETE"],"type":"string","title":"DomainStatus","description":"DomainStatus"},"DomainStatusHistoryItem":{"description":"This item represent a process status change triggered by a specific domain.","properties":{"domain":{"$ref":"#/components/schemas/DomainType","description":"The domain of the entity that caused the status change."},"domainEntityProcessStatus":{"$ref":"#/components/schemas/DomainStatus","description":"The assigned status"},"domainRef":{"description":"The id of the domain entity that caused the status change.","type":"string"},"statusChangeReasonKey":{"description":"This property captures the reason for the entity’s status change. Each domain can define its own set of reasons, represented as an ENUM","type":"string"},"timestamp":{"description":"Timestamp of the moment at which the state was notified by the domain.","format":"date-time","type":"string"}},"required":["timestamp","domain","domainEntityProcessStatus","domainRef"],"type":"object","title":"DomainStatusHistoryItem"},"DomainType":{"enum":["ORDER","ROUTING_PLAN","PICKJOB","PACKJOB","SHIPMENT","HANDOVER","RETURN","SERVICE_JOB","ITEM_RETURN_JOB","PARCEL","RESERVATION"],"type":"string","title":"DomainType","description":"DomainType"},"ProcessStatus":{"enum":["CREATED","IN_PROGRESS","FINISHED","CANCELED","ERROR","NOT_AVAILABLE"],"type":"string","title":"ProcessStatus","description":"ProcessStatus"},"LastDomainEntityStatusItem":{"description":"An object holding the last DomainStatus of a given entity and its corresponding domain.","properties":{"domain":{"$ref":"#/components/schemas/DomainType","description":"The domain of the entity that caused the status change."},"entityId":{"description":"The entity id","type":"string"},"status":{"$ref":"#/components/schemas/DomainStatus","description":"The status of the entity."}},"required":["domain","status","entityId"],"type":"object","title":"LastDomainEntityStatusItem"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/processes/{processId}/reroute":{"post":{"description":"","operationId":"postProcess","parameters":[{"description":"ID of process you want to reroute","in":"path","name":"processId","required":true,"schema":{"type":"string"}},{"description":"Version of process you want to reroute","in":"query","name":"version","required":true,"schema":{"type":"number"}},{"description":"The id of the rerouteDescription","in":"query","name":"rerouteDescriptionId","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Process"}}},"description":"Process was found the corresponding reroute operations have been triggered."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Process not found"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Process version conflict"}},"summary":"Create process reroute","tags":["Processes (Core)"]}}}}
```

## PATCH /api/processes/{processId}

> Update process

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"A process groups all entities of an order.","name":"Processes (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ProcessPatchActions":{"properties":{"actions":{"items":{"anyOf":[{"$ref":"#/components/schemas/AddTagsToProcess"},{"$ref":"#/components/schemas/AssignFacilityToProcess"},{"$ref":"#/components/schemas/UpdateGdprCleanupDateAction"}]},"minItems":1,"type":"array"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version","actions"],"type":"object","xml":{"name":"ProcessPatchActions"},"title":"ProcessPatchActions","description":"ProcessPatchActions"},"AddTagsToProcess":{"allOf":[{"$ref":"#/components/schemas/AbstractModificationAction"},{"additionalProperties":false,"properties":{"action":{"description":"Use value 'AddTagsToProcess', because you want to modify a process","enum":["AddTagsToProcess"],"type":"string"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"required":["action"],"type":"object"}],"description":"Action to add tags to a Process","title":"AddTagsToProcessAction","xml":{"name":"AddTagsToProcess"}},"AbstractModificationAction":{"discriminator":{"propertyName":"action"},"properties":{"action":{"description":"","enum":["AddAllowedValueToTag","ModifyPickJob","ModifyPickJobLastEditor","RestartPickJob","ResetPickJob","CancelPickRun","CancelHandoverjob","AbortPickJob","FinishPickRun","StartPickRun","ModifyPickLineItem","ModifyPickRunLineItem","ModifyPackJob","PausePackJob","ModifyPackLineItem","SplitLineItemsPackJob","ModifyFacility","ModifyListing","ModifyRetainedOfflineStock","ModifyListingReactivationAfter","ModifyUser","ModifyShipment","ModifyHandoverjob","ModifyCarrier","ModifyShortpick","ModifyRoutingPlan","ModifyFence","ModifyRating","ModifyTimingMode","ModifyGlobalRoutingConfiguration","ModifyOrderSplit","ModifyPrioritization","ModifyLoadUnitType","ModifyFeature","ModifyParcel","ModifyParcelLoadUnit","ModifyRestowItem","RemovePickJobFromPickRun","ModifyPartialStock","AddTagsToProcess","AssignFacilityToProcess","UpdateGdprCleanupDateAction","ModifyStorageLocation","ModifyPackingContainerType","ModifyPackingContainerTypeIcon","ReplaceCodesInPackingTargetContainer","ReplaceLoadUnitLineItems","AddLineItemToPackingTargetContainer","RemoveLineItemFromPackingTargetContainer","UpdateLineItemOnPackingTargetContainer","UpdatePackingTargetContainerLineItemRecordableAttributes","ModifyCustomService","UnlockOrder"],"type":"string"}},"required":["action"],"type":"object","xml":{"name":"AbstractModificationAction"},"title":"AbstractModificationAction","description":"AbstractModificationAction"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"AssignFacilityToProcess":{"allOf":[{"$ref":"#/components/schemas/AbstractModificationAction"},{"additionalProperties":false,"properties":{"action":{"description":"Use value to manually assign a facility to a process","enum":["AssignFacilityToProcess"],"type":"string"},"facilityRef":{"type":"string"},"rerouteDescriptionId":{"type":"string"}},"required":["action","facilityRef"],"type":"object"}],"description":"Action to assign a process to a facility.","title":"AssignFacilityToProcessAction","xml":{"name":"AssignFacilityToProcess"}},"UpdateGdprCleanupDateAction":{"allOf":[{"$ref":"#/components/schemas/AbstractModificationAction"},{"additionalProperties":false,"properties":{"action":{"description":"Use value 'UpdateGdprCleanupDateAction' to update the GDPR cleanup date of a process.","enum":["UpdateGdprCleanupDateAction"],"type":"string"},"gdprCleanupDate":{"description":"The date when the process and all connected entities should be cleaned up / anonymized.","format":"date","type":"string"}},"required":["action","gdprCleanupDate"],"type":"object"}],"description":"Action to set the GDPR cleanup date of a process.","title":"UpdateGdprCleanupDateAction","xml":{"name":"UpdateGdprCleanupDateAction"}},"Process":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"deletionDate":{"description":"The date that defines when the entities will be or have been deleted.","format":"date-time","type":"string"},"documentRefs":{"description":"References to documents that are attached to this process.","items":{"type":"string"},"type":"array"},"domainStatuses":{"additionalProperties":{"$ref":"#/components/schemas/DomainStatus"},"description":"Overview of the different domain adherent status of the process.","type":"object"},"domainStatusHistory":{"description":"History of process status changes caused by changes on the related domains.","items":{"$ref":"#/components/schemas/DomainStatusHistoryItem"},"type":"array"},"domsStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall DOMS status of the process."},"externalActionRefs":{"description":"References to the external actions connected to this process (if any).","items":{"type":"string"},"type":"array"},"facilityRefs":{"description":"References of the Facilities connected to this process (if any).","items":{"type":"string"},"type":"array"},"flatRefs":{"description":"This field references all IDs of any entity connected to this process.","items":{"type":"string"},"type":"array"},"gdprCleanupDate":{"description":"The date that defines when the entities will be or have been anonymized.","format":"date-time","type":"string"},"handoverJobRefs":{"description":"References to Handoverjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"id":{"description":"ID of this process","type":"string"},"inventoryStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall inventory status of the process"},"isAnonymized":{"description":"Indicates if the entities have been anonymized.","type":"boolean"},"itemReturnJobsRef":{"description":"References to the Item Return Job connected to this process (if present).","items":{"type":"string"},"type":"array"},"lastDomainEntityStatuses":{"description":"The last domain statuses of each domain","items":{"$ref":"#/components/schemas/LastDomainEntityStatusItem"},"type":"array"},"operativeStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall operative status of the process"},"orderRef":{"description":"References to the Order connected to this process (if present).","type":"string"},"packJobRefs":{"description":"References of the Packjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"pickJobRefs":{"description":"References to the Pickjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"returnRefs":{"description":"References to the Returns connected to this process (if present).","items":{"type":"string"},"type":"array"},"returnStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"NOT_AVAILABLE","description":"Overall return status of the process"},"routingPlanRefs":{"description":"References the RoutingPlans that were used during this process (if present).","items":{"type":"string"},"type":"array"},"serviceJobRefs":{"description":"References to the Service Jobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"shipmentRefs":{"description":"References to the Shipments connected to this process (if present).","items":{"type":"string"},"type":"array"},"status":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall status of the process."},"tenantOrderId":{"description":"The tenantOrderId referencing this process.","type":"string"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"required":["gdprCleanupDate","id"],"type":"object","title":"Process","description":"Process"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"DomainStatus":{"enum":["PENDING","CREATED","IN_PROGRESS","STUCK","FINISHED","CANCELED","OBSOLETE"],"type":"string","title":"DomainStatus","description":"DomainStatus"},"DomainStatusHistoryItem":{"description":"This item represent a process status change triggered by a specific domain.","properties":{"domain":{"$ref":"#/components/schemas/DomainType","description":"The domain of the entity that caused the status change."},"domainEntityProcessStatus":{"$ref":"#/components/schemas/DomainStatus","description":"The assigned status"},"domainRef":{"description":"The id of the domain entity that caused the status change.","type":"string"},"statusChangeReasonKey":{"description":"This property captures the reason for the entity’s status change. Each domain can define its own set of reasons, represented as an ENUM","type":"string"},"timestamp":{"description":"Timestamp of the moment at which the state was notified by the domain.","format":"date-time","type":"string"}},"required":["timestamp","domain","domainEntityProcessStatus","domainRef"],"type":"object","title":"DomainStatusHistoryItem"},"DomainType":{"enum":["ORDER","ROUTING_PLAN","PICKJOB","PACKJOB","SHIPMENT","HANDOVER","RETURN","SERVICE_JOB","ITEM_RETURN_JOB","PARCEL","RESERVATION"],"type":"string","title":"DomainType","description":"DomainType"},"ProcessStatus":{"enum":["CREATED","IN_PROGRESS","FINISHED","CANCELED","ERROR","NOT_AVAILABLE"],"type":"string","title":"ProcessStatus","description":"ProcessStatus"},"LastDomainEntityStatusItem":{"description":"An object holding the last DomainStatus of a given entity and its corresponding domain.","properties":{"domain":{"$ref":"#/components/schemas/DomainType","description":"The domain of the entity that caused the status change."},"entityId":{"description":"The entity id","type":"string"},"status":{"$ref":"#/components/schemas/DomainStatus","description":"The status of the entity."}},"required":["domain","status","entityId"],"type":"object","title":"LastDomainEntityStatusItem"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/processes/{processId}":{"patch":{"description":"","operationId":"patchProcess","parameters":[{"description":"ID of process you want to patch","in":"path","name":"processId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessPatchActions"}}},"description":"Patch set","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Process"}}},"description":"Process was found & patch-set has been applied. The patched process is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Process not found"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Process version conflict"}},"summary":"Update process","tags":["Processes (Core)"]}}}}
```

## List processes (search)

> This part of the API is in Alpha status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Search for Process

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"A process groups all entities of an order.","name":"Processes (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ProcessSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/ProcessSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/ProcessSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"ProcessSearchPayload","type":"object","description":"ProcessSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"ProcessSearchQuery":{"properties":{"and":{"items":{"$ref":"#/components/schemas/ProcessSearchQuery"},"maxItems":500,"type":"array"},"created":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search by created"},"documentRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by documentRefs"},"domainStatuses":{"allOf":[{"$ref":"#/components/schemas/ProcessDomainStatusesFilter"}],"description":"Nested search by domainStatuses"},"domsStatus":{"allOf":[{"$ref":"#/components/schemas/ProcessStatusEnumFilter"}],"description":"Search by domsStatus"},"externalActionRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by externalActionRefs"},"facilityRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by facilityRefs"},"facilityRefsWithActiveOperations":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by facilityRefsWithActiveOperations"},"flatRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by flatRefs"},"handoverJobRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by handoverJobRefs"},"itemReturnJobsRef":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by itemReturnJobsRef"},"operativeStatus":{"allOf":[{"$ref":"#/components/schemas/ProcessStatusEnumFilter"}],"description":"Search by operativeStatus"},"or":{"items":{"$ref":"#/components/schemas/ProcessSearchQuery"},"maxItems":500,"type":"array"},"orderRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by orderRef"},"packJobRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by packJobRefs"},"pickJobRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by pickJobRefs"},"processId":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by processId"},"referenced":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedFilter"}],"description":"Nested search by referenced"},"returnRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by returnRefs"},"returnStatus":{"allOf":[{"$ref":"#/components/schemas/ProcessStatusEnumFilter"}],"description":"Search by returnStatus"},"routingPlanRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by routingPlanRefs"},"searchTerm":{"allOf":[{"$ref":"#/components/schemas/SearchFilter"}],"description":"Full-text search for this entity"},"serviceJobRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by serviceJobRefs"},"shipmentRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by shipmentRefs"},"status":{"allOf":[{"$ref":"#/components/schemas/ProcessStatusEnumFilter"}],"description":"Search by status"},"tags":{"allOf":[{"$ref":"#/components/schemas/ProcessTagsListFilter"}],"description":"Nested list search by tags"}},"title":"ProcessSearchQuery","type":"object","description":"ProcessSearchQuery"},"DateFilter":{"properties":{"after":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events after the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"before":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events before the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"eq":{"format":"date-time","type":"string"},"gt":{"format":"date-time","type":"string"},"gte":{"format":"date-time","type":"string"},"lt":{"format":"date-time","type":"string"},"lte":{"format":"date-time","type":"string"},"notEq":{"format":"date-time","type":"string"}},"title":"DateFilter","type":"object","description":"DateFilter"},"StringListFilter":{"properties":{"contains":{"$ref":"#/components/schemas/StringEqFilter"}},"title":"StringListFilter","type":"object","description":"StringListFilter"},"StringEqFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"}},"title":"StringEqFilter","type":"object","description":"StringEqFilter"},"ProcessDomainStatusesFilter":{"properties":{"handover":{"allOf":[{"$ref":"#/components/schemas/ProcessDomainStatusesDomainStatusEnumListFilter"}],"description":"Search by handover"},"order":{"allOf":[{"$ref":"#/components/schemas/ProcessDomainStatusesDomainStatusEnumListFilter"}],"description":"Search by order"},"packing":{"allOf":[{"$ref":"#/components/schemas/ProcessDomainStatusesDomainStatusEnumListFilter"}],"description":"Search by packing"},"picking":{"allOf":[{"$ref":"#/components/schemas/ProcessDomainStatusesDomainStatusEnumListFilter"}],"description":"Search by picking"},"return":{"allOf":[{"$ref":"#/components/schemas/ProcessDomainStatusesDomainStatusEnumListFilter"}],"description":"Search by return"},"routing":{"allOf":[{"$ref":"#/components/schemas/ProcessDomainStatusesDomainStatusEnumListFilter"}],"description":"Search by routing"},"service":{"allOf":[{"$ref":"#/components/schemas/ProcessDomainStatusesDomainStatusEnumListFilter"}],"description":"Search by service"},"shipping":{"allOf":[{"$ref":"#/components/schemas/ProcessDomainStatusesDomainStatusEnumListFilter"}],"description":"Search by shipping"}},"title":"ProcessDomainStatusesFilter","type":"object","description":"ProcessDomainStatusesFilter"},"ProcessDomainStatusesDomainStatusEnumListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/ProcessDomainStatusesDomainStatusEnumFilter"}],"description":"Search by order"}},"title":"ProcessDomainStatusesDomainStatusEnumListFilter","type":"object","description":"ProcessDomainStatusesDomainStatusEnumListFilter"},"ProcessDomainStatusesDomainStatusEnumFilter":{"properties":{"eq":{"description":"Search by order","enum":["PENDING","CREATED","IN_PROGRESS","STUCK","FINISHED","CANCELED","OBSOLETE"],"type":"string"},"in":{"description":"Search by order","items":{"enum":["PENDING","CREATED","IN_PROGRESS","STUCK","FINISHED","CANCELED","OBSOLETE"],"type":"string"},"maxItems":500,"type":"array"},"notEq":{"description":"Search by order","enum":["PENDING","CREATED","IN_PROGRESS","STUCK","FINISHED","CANCELED","OBSOLETE"],"type":"string"}},"title":"ProcessDomainStatusesDomainStatusEnumFilter","type":"object","description":"ProcessDomainStatusesDomainStatusEnumFilter"},"ProcessStatusEnumFilter":{"properties":{"eq":{"description":"Search by status","enum":["CREATED","IN_PROGRESS","FINISHED","CANCELED","ERROR","NOT_AVAILABLE"],"type":"string"},"in":{"description":"Search by status","items":{"enum":["CREATED","IN_PROGRESS","FINISHED","CANCELED","ERROR","NOT_AVAILABLE"],"type":"string"},"maxItems":500,"type":"array"},"notEq":{"description":"Search by status","enum":["CREATED","IN_PROGRESS","FINISHED","CANCELED","ERROR","NOT_AVAILABLE"],"type":"string"}},"title":"ProcessStatusEnumFilter","type":"object","description":"ProcessStatusEnumFilter"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"StringSearchFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"like":{"description":"Search by regex pattern","maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringSearchFilter","type":"object","description":"StringSearchFilter"},"ProcessReferencedFilter":{"properties":{"brand":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedBrandFilter"}],"description":"Nested search by brand"},"carrier":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedCarrierFilter"}],"description":"Nested search by carrier"},"consumerAddress":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedConsumerAddressFilter"}],"description":"Nested search by consumerAddress"},"facility":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedFacilityFilter"}],"description":"Nested search by facility"},"order":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedOrderFilter"}],"description":"Nested search by order"},"parcelTrackingStatus":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedParcelTrackingStatusEnumListFilter"}],"description":"Search by parcelTrackingStatus"},"pickJob":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedPickJobFilter"}],"description":"Nested search by pickJob"},"serviceLevel":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedServiceLevelEnumListFilter"}],"description":"Search by serviceLevel"},"serviceType":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by serviceType"},"sticker":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedStickerFilter"}],"description":"Nested search by sticker"},"targetTime":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search by targetTime"},"tenantArticleId":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by tenantArticleId"}},"title":"ProcessReferencedFilter","type":"object","description":"ProcessReferencedFilter"},"ProcessReferencedBrandFilter":{"properties":{"name":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by name"}},"title":"ProcessReferencedBrandFilter","type":"object","description":"ProcessReferencedBrandFilter"},"ProcessReferencedCarrierFilter":{"properties":{"carrierTrackingNumber":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by carrierTrackingNumber"},"name":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by name"}},"title":"ProcessReferencedCarrierFilter","type":"object","description":"ProcessReferencedCarrierFilter"},"ProcessReferencedConsumerAddressFilter":{"properties":{"country":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by country"},"deliveryCountry":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by deliveryCountry"}},"title":"ProcessReferencedConsumerAddressFilter","type":"object","description":"ProcessReferencedConsumerAddressFilter"},"ProcessReferencedFacilityFilter":{"properties":{"address":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedFacilityAddressFilter"}],"description":"Nested search by address"},"name":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by name"}},"title":"ProcessReferencedFacilityFilter","type":"object","description":"ProcessReferencedFacilityFilter"},"ProcessReferencedFacilityAddressFilter":{"properties":{"country":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by country"}},"title":"ProcessReferencedFacilityAddressFilter","type":"object","description":"ProcessReferencedFacilityAddressFilter"},"ProcessReferencedOrderFilter":{"properties":{"consumerId":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by consumerId"},"desiredDeliveryTime":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search by desiredDeliveryTime"},"orderDate":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search by orderDate"},"orderedAmount":{"allOf":[{"$ref":"#/components/schemas/NumberFilter"}],"description":"Search by orderedAmount"},"provisioningTime":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search by provisioningTime"},"status":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedOrderOrderStatusEnumListFilter"}],"description":"Search by status"},"tenantOrderId":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by tenantOrderId"}},"title":"ProcessReferencedOrderFilter","type":"object","description":"ProcessReferencedOrderFilter"},"NumberFilter":{"properties":{"eq":{"type":"number"},"gt":{"type":"number"},"gte":{"type":"number"},"in":{"items":{"type":"number"},"maxItems":25,"type":"array"},"lt":{"type":"number"},"lte":{"type":"number"},"notEq":{"type":"number"},"notIn":{"items":{"type":"number"},"maxItems":25,"type":"array"}},"title":"NumberFilter","type":"object","description":"NumberFilter"},"ProcessReferencedOrderOrderStatusEnumListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedOrderOrderStatusEnumFilter"}],"description":"Search by status"}},"title":"ProcessReferencedOrderOrderStatusEnumListFilter","type":"object","description":"ProcessReferencedOrderOrderStatusEnumListFilter"},"ProcessReferencedOrderOrderStatusEnumFilter":{"properties":{"eq":{"description":"Search by status","enum":["OPEN","CANCELLED","PROMISED","LOCKED","OBSOLETE"],"type":"string"},"in":{"description":"Search by status","items":{"enum":["OPEN","CANCELLED","PROMISED","LOCKED","OBSOLETE"],"type":"string"},"maxItems":500,"type":"array"},"notEq":{"description":"Search by status","enum":["OPEN","CANCELLED","PROMISED","LOCKED","OBSOLETE"],"type":"string"}},"title":"ProcessReferencedOrderOrderStatusEnumFilter","type":"object","description":"ProcessReferencedOrderOrderStatusEnumFilter"},"ProcessReferencedParcelTrackingStatusEnumListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedParcelTrackingStatusEnumFilter"}],"description":"Search by parcelTrackingStatus"}},"title":"ProcessReferencedParcelTrackingStatusEnumListFilter","type":"object","description":"ProcessReferencedParcelTrackingStatusEnumListFilter"},"ProcessReferencedParcelTrackingStatusEnumFilter":{"properties":{"eq":{"description":"Search by parcelTrackingStatus","enum":["REGISTERED","PICKED_UP","DELIVERED","NOT_DELIVERED","TRANSIT","EXCEPTION","OUT_FOR_DELIVERY","DESTROYED","UNKNOWN","CANCELED","AWAITS_PICKUP_BY_RECEIVER","DELAYED","NOTIFICATION"],"type":"string"},"in":{"description":"Search by parcelTrackingStatus","items":{"enum":["REGISTERED","PICKED_UP","DELIVERED","NOT_DELIVERED","TRANSIT","EXCEPTION","OUT_FOR_DELIVERY","DESTROYED","UNKNOWN","CANCELED","AWAITS_PICKUP_BY_RECEIVER","DELAYED","NOTIFICATION"],"type":"string"},"maxItems":500,"type":"array"},"notEq":{"description":"Search by parcelTrackingStatus","enum":["REGISTERED","PICKED_UP","DELIVERED","NOT_DELIVERED","TRANSIT","EXCEPTION","OUT_FOR_DELIVERY","DESTROYED","UNKNOWN","CANCELED","AWAITS_PICKUP_BY_RECEIVER","DELAYED","NOTIFICATION"],"type":"string"}},"title":"ProcessReferencedParcelTrackingStatusEnumFilter","type":"object","description":"ProcessReferencedParcelTrackingStatusEnumFilter"},"ProcessReferencedPickJobFilter":{"properties":{"shortId":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by shortId"}},"title":"ProcessReferencedPickJobFilter","type":"object","description":"ProcessReferencedPickJobFilter"},"ProcessReferencedServiceLevelEnumListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/ProcessReferencedServiceLevelEnumFilter"}],"description":"Search by serviceLevel"}},"title":"ProcessReferencedServiceLevelEnumListFilter","type":"object","description":"ProcessReferencedServiceLevelEnumListFilter"},"ProcessReferencedServiceLevelEnumFilter":{"properties":{"eq":{"description":"Search by serviceLevel","enum":["DELIVERY","SAMEDAY"],"type":"string"},"in":{"description":"Search by serviceLevel","items":{"enum":["DELIVERY","SAMEDAY"],"type":"string"},"maxItems":500,"type":"array"},"notEq":{"description":"Search by serviceLevel","enum":["DELIVERY","SAMEDAY"],"type":"string"}},"title":"ProcessReferencedServiceLevelEnumFilter","type":"object","description":"ProcessReferencedServiceLevelEnumFilter"},"ProcessReferencedStickerFilter":{"properties":{"name":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by name"}},"title":"ProcessReferencedStickerFilter","type":"object","description":"ProcessReferencedStickerFilter"},"SearchFilter":{"properties":{"like":{"description":"Search by regex pattern","maxLength":256,"type":"string"}},"title":"SearchFilter","type":"object","description":"SearchFilter"},"ProcessTagsListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/ProcessTagsFilter"}],"description":"Contains returns if at least one entry matches"}},"title":"ProcessTagsListFilter","type":"object","description":"ProcessTagsListFilter"},"ProcessTagsFilter":{"properties":{"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"value":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by value"}},"title":"ProcessTagsFilter","type":"object","description":"ProcessTagsFilter"},"ProcessSort":{"properties":{"domsStatus":{"enum":["ASC","DESC"],"type":"string"},"operativeStatus":{"enum":["ASC","DESC"],"type":"string"},"processId":{"enum":["ASC","DESC"],"type":"string"},"referenced":{"$ref":"#/components/schemas/ProcessReferencedSort"},"returnStatus":{"enum":["ASC","DESC"],"type":"string"},"status":{"enum":["ASC","DESC"],"type":"string"}},"title":"ProcessSort","type":"object","description":"ProcessSort"},"ProcessReferencedSort":{"properties":{"brand":{"$ref":"#/components/schemas/ProcessBrandSort"},"carrier":{"$ref":"#/components/schemas/ProcessCarrierSort"},"consumerAddress":{"$ref":"#/components/schemas/ProcessConsumerAddressSort"},"facility":{"$ref":"#/components/schemas/ProcessFacilitySort"},"order":{"$ref":"#/components/schemas/ProcessOrderSort"},"parcelTrackingStatus":{"enum":["ASC","DESC"],"type":"string"},"sticker":{"$ref":"#/components/schemas/ProcessStickerSort"},"targetTime":{"enum":["ASC","DESC"],"type":"string"}},"title":"ProcessReferencedSort","type":"object","description":"ProcessReferencedSort"},"ProcessBrandSort":{"properties":{"name":{"enum":["ASC","DESC"],"type":"string"}},"title":"ProcessBrandSort","type":"object","description":"ProcessBrandSort"},"ProcessCarrierSort":{"properties":{"name":{"enum":["ASC","DESC"],"type":"string"}},"title":"ProcessCarrierSort","type":"object","description":"ProcessCarrierSort"},"ProcessConsumerAddressSort":{"properties":{"country":{"enum":["ASC","DESC"],"type":"string"},"postalCode":{"enum":["ASC","DESC"],"type":"string"}},"title":"ProcessConsumerAddressSort","type":"object","description":"ProcessConsumerAddressSort"},"ProcessFacilitySort":{"properties":{"address":{"$ref":"#/components/schemas/ProcessAddressSort"},"name":{"enum":["ASC","DESC"],"type":"string"}},"title":"ProcessFacilitySort","type":"object","description":"ProcessFacilitySort"},"ProcessAddressSort":{"properties":{"country":{"enum":["ASC","DESC"],"type":"string"}},"title":"ProcessAddressSort","type":"object","description":"ProcessAddressSort"},"ProcessOrderSort":{"properties":{"desiredDeliveryTime":{"enum":["ASC","DESC"],"type":"string"},"orderDate":{"enum":["ASC","DESC"],"type":"string"},"orderedAmount":{"enum":["ASC","DESC"],"type":"string"},"provisioningTime":{"enum":["ASC","DESC"],"type":"string"},"tenantOrderId":{"enum":["ASC","DESC"],"type":"string"},"updateDetails":{"$ref":"#/components/schemas/ProcessUpdateDetailsSort"}},"title":"ProcessOrderSort","type":"object","description":"ProcessOrderSort"},"ProcessUpdateDetailsSort":{"properties":{"created":{"enum":["ASC","DESC"],"type":"string"},"user":{"enum":["ASC","DESC"],"type":"string"}},"title":"ProcessUpdateDetailsSort","type":"object","description":"ProcessUpdateDetailsSort"},"ProcessStickerSort":{"properties":{"name":{"enum":["ASC","DESC"],"type":"string"}},"title":"ProcessStickerSort","type":"object","description":"ProcessStickerSort"},"ProcessPaginatedResult":{"properties":{"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"processes":{"items":{"$ref":"#/components/schemas/Process"},"type":"array"},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","processes"],"title":"ProcessPaginatedResult","type":"object","description":"ProcessPaginatedResult"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"Process":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"deletionDate":{"description":"The date that defines when the entities will be or have been deleted.","format":"date-time","type":"string"},"documentRefs":{"description":"References to documents that are attached to this process.","items":{"type":"string"},"type":"array"},"domainStatuses":{"additionalProperties":{"$ref":"#/components/schemas/DomainStatus"},"description":"Overview of the different domain adherent status of the process.","type":"object"},"domainStatusHistory":{"description":"History of process status changes caused by changes on the related domains.","items":{"$ref":"#/components/schemas/DomainStatusHistoryItem"},"type":"array"},"domsStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall DOMS status of the process."},"externalActionRefs":{"description":"References to the external actions connected to this process (if any).","items":{"type":"string"},"type":"array"},"facilityRefs":{"description":"References of the Facilities connected to this process (if any).","items":{"type":"string"},"type":"array"},"flatRefs":{"description":"This field references all IDs of any entity connected to this process.","items":{"type":"string"},"type":"array"},"gdprCleanupDate":{"description":"The date that defines when the entities will be or have been anonymized.","format":"date-time","type":"string"},"handoverJobRefs":{"description":"References to Handoverjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"id":{"description":"ID of this process","type":"string"},"inventoryStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall inventory status of the process"},"isAnonymized":{"description":"Indicates if the entities have been anonymized.","type":"boolean"},"itemReturnJobsRef":{"description":"References to the Item Return Job connected to this process (if present).","items":{"type":"string"},"type":"array"},"lastDomainEntityStatuses":{"description":"The last domain statuses of each domain","items":{"$ref":"#/components/schemas/LastDomainEntityStatusItem"},"type":"array"},"operativeStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall operative status of the process"},"orderRef":{"description":"References to the Order connected to this process (if present).","type":"string"},"packJobRefs":{"description":"References of the Packjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"pickJobRefs":{"description":"References to the Pickjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"returnRefs":{"description":"References to the Returns connected to this process (if present).","items":{"type":"string"},"type":"array"},"returnStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"NOT_AVAILABLE","description":"Overall return status of the process"},"routingPlanRefs":{"description":"References the RoutingPlans that were used during this process (if present).","items":{"type":"string"},"type":"array"},"serviceJobRefs":{"description":"References to the Service Jobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"shipmentRefs":{"description":"References to the Shipments connected to this process (if present).","items":{"type":"string"},"type":"array"},"status":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall status of the process."},"tenantOrderId":{"description":"The tenantOrderId referencing this process.","type":"string"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"required":["gdprCleanupDate","id"],"type":"object","title":"Process","description":"Process"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"DomainStatus":{"enum":["PENDING","CREATED","IN_PROGRESS","STUCK","FINISHED","CANCELED","OBSOLETE"],"type":"string","title":"DomainStatus","description":"DomainStatus"},"DomainStatusHistoryItem":{"description":"This item represent a process status change triggered by a specific domain.","properties":{"domain":{"$ref":"#/components/schemas/DomainType","description":"The domain of the entity that caused the status change."},"domainEntityProcessStatus":{"$ref":"#/components/schemas/DomainStatus","description":"The assigned status"},"domainRef":{"description":"The id of the domain entity that caused the status change.","type":"string"},"statusChangeReasonKey":{"description":"This property captures the reason for the entity’s status change. Each domain can define its own set of reasons, represented as an ENUM","type":"string"},"timestamp":{"description":"Timestamp of the moment at which the state was notified by the domain.","format":"date-time","type":"string"}},"required":["timestamp","domain","domainEntityProcessStatus","domainRef"],"type":"object","title":"DomainStatusHistoryItem"},"DomainType":{"enum":["ORDER","ROUTING_PLAN","PICKJOB","PACKJOB","SHIPMENT","HANDOVER","RETURN","SERVICE_JOB","ITEM_RETURN_JOB","PARCEL","RESERVATION"],"type":"string","title":"DomainType","description":"DomainType"},"ProcessStatus":{"enum":["CREATED","IN_PROGRESS","FINISHED","CANCELED","ERROR","NOT_AVAILABLE"],"type":"string","title":"ProcessStatus","description":"ProcessStatus"},"LastDomainEntityStatusItem":{"description":"An object holding the last DomainStatus of a given entity and its corresponding domain.","properties":{"domain":{"$ref":"#/components/schemas/DomainType","description":"The domain of the entity that caused the status change."},"entityId":{"description":"The entity id","type":"string"},"status":{"$ref":"#/components/schemas/DomainStatus","description":"The status of the entity."}},"required":["domain","status","entityId"],"type":"object","title":"LastDomainEntityStatusItem"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/processes/search":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Search for Process","operationId":"searchProcess","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"List processes (search)","tags":["Processes (Core)"]}}}}
```

## GET /api/process

> Get process

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"A process groups all entities of an order.","name":"Processes (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Process":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"deletionDate":{"description":"The date that defines when the entities will be or have been deleted.","format":"date-time","type":"string"},"documentRefs":{"description":"References to documents that are attached to this process.","items":{"type":"string"},"type":"array"},"domainStatuses":{"additionalProperties":{"$ref":"#/components/schemas/DomainStatus"},"description":"Overview of the different domain adherent status of the process.","type":"object"},"domainStatusHistory":{"description":"History of process status changes caused by changes on the related domains.","items":{"$ref":"#/components/schemas/DomainStatusHistoryItem"},"type":"array"},"domsStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall DOMS status of the process."},"externalActionRefs":{"description":"References to the external actions connected to this process (if any).","items":{"type":"string"},"type":"array"},"facilityRefs":{"description":"References of the Facilities connected to this process (if any).","items":{"type":"string"},"type":"array"},"flatRefs":{"description":"This field references all IDs of any entity connected to this process.","items":{"type":"string"},"type":"array"},"gdprCleanupDate":{"description":"The date that defines when the entities will be or have been anonymized.","format":"date-time","type":"string"},"handoverJobRefs":{"description":"References to Handoverjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"id":{"description":"ID of this process","type":"string"},"inventoryStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall inventory status of the process"},"isAnonymized":{"description":"Indicates if the entities have been anonymized.","type":"boolean"},"itemReturnJobsRef":{"description":"References to the Item Return Job connected to this process (if present).","items":{"type":"string"},"type":"array"},"lastDomainEntityStatuses":{"description":"The last domain statuses of each domain","items":{"$ref":"#/components/schemas/LastDomainEntityStatusItem"},"type":"array"},"operativeStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall operative status of the process"},"orderRef":{"description":"References to the Order connected to this process (if present).","type":"string"},"packJobRefs":{"description":"References of the Packjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"pickJobRefs":{"description":"References to the Pickjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"returnRefs":{"description":"References to the Returns connected to this process (if present).","items":{"type":"string"},"type":"array"},"returnStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"NOT_AVAILABLE","description":"Overall return status of the process"},"routingPlanRefs":{"description":"References the RoutingPlans that were used during this process (if present).","items":{"type":"string"},"type":"array"},"serviceJobRefs":{"description":"References to the Service Jobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"shipmentRefs":{"description":"References to the Shipments connected to this process (if present).","items":{"type":"string"},"type":"array"},"status":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall status of the process."},"tenantOrderId":{"description":"The tenantOrderId referencing this process.","type":"string"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"required":["gdprCleanupDate","id"],"type":"object","title":"Process","description":"Process"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"DomainStatus":{"enum":["PENDING","CREATED","IN_PROGRESS","STUCK","FINISHED","CANCELED","OBSOLETE"],"type":"string","title":"DomainStatus","description":"DomainStatus"},"DomainStatusHistoryItem":{"description":"This item represent a process status change triggered by a specific domain.","properties":{"domain":{"$ref":"#/components/schemas/DomainType","description":"The domain of the entity that caused the status change."},"domainEntityProcessStatus":{"$ref":"#/components/schemas/DomainStatus","description":"The assigned status"},"domainRef":{"description":"The id of the domain entity that caused the status change.","type":"string"},"statusChangeReasonKey":{"description":"This property captures the reason for the entity’s status change. Each domain can define its own set of reasons, represented as an ENUM","type":"string"},"timestamp":{"description":"Timestamp of the moment at which the state was notified by the domain.","format":"date-time","type":"string"}},"required":["timestamp","domain","domainEntityProcessStatus","domainRef"],"type":"object","title":"DomainStatusHistoryItem"},"DomainType":{"enum":["ORDER","ROUTING_PLAN","PICKJOB","PACKJOB","SHIPMENT","HANDOVER","RETURN","SERVICE_JOB","ITEM_RETURN_JOB","PARCEL","RESERVATION"],"type":"string","title":"DomainType","description":"DomainType"},"ProcessStatus":{"enum":["CREATED","IN_PROGRESS","FINISHED","CANCELED","ERROR","NOT_AVAILABLE"],"type":"string","title":"ProcessStatus","description":"ProcessStatus"},"LastDomainEntityStatusItem":{"description":"An object holding the last DomainStatus of a given entity and its corresponding domain.","properties":{"domain":{"$ref":"#/components/schemas/DomainType","description":"The domain of the entity that caused the status change."},"entityId":{"description":"The entity id","type":"string"},"status":{"$ref":"#/components/schemas/DomainStatus","description":"The status of the entity."}},"required":["domain","status","entityId"],"type":"object","title":"LastDomainEntityStatusItem"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/process":{"get":{"description":"","operationId":"getProcesses","parameters":[{"in":"query","name":"tenantOrderId","required":false,"schema":{"type":"string"}},{"in":"query","name":"orderRef","required":false,"schema":{"type":"string"}},{"in":"query","name":"pickJobRef","required":false,"schema":{"type":"string"}},{"in":"query","name":"shipmentRef","required":false,"schema":{"type":"string"}},{"in":"query","name":"handoverJobRef","required":false,"schema":{"type":"string"}},{"in":"query","name":"returnRef","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Process"}}},"description":"Process belonging to the given parameters"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The given parameters are invalid"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get process","tags":["Processes (Core)"]}}}}
```

## GET /api/processes/{processId}

> Get process

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"A process groups all entities of an order.","name":"Processes (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Process":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"deletionDate":{"description":"The date that defines when the entities will be or have been deleted.","format":"date-time","type":"string"},"documentRefs":{"description":"References to documents that are attached to this process.","items":{"type":"string"},"type":"array"},"domainStatuses":{"additionalProperties":{"$ref":"#/components/schemas/DomainStatus"},"description":"Overview of the different domain adherent status of the process.","type":"object"},"domainStatusHistory":{"description":"History of process status changes caused by changes on the related domains.","items":{"$ref":"#/components/schemas/DomainStatusHistoryItem"},"type":"array"},"domsStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall DOMS status of the process."},"externalActionRefs":{"description":"References to the external actions connected to this process (if any).","items":{"type":"string"},"type":"array"},"facilityRefs":{"description":"References of the Facilities connected to this process (if any).","items":{"type":"string"},"type":"array"},"flatRefs":{"description":"This field references all IDs of any entity connected to this process.","items":{"type":"string"},"type":"array"},"gdprCleanupDate":{"description":"The date that defines when the entities will be or have been anonymized.","format":"date-time","type":"string"},"handoverJobRefs":{"description":"References to Handoverjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"id":{"description":"ID of this process","type":"string"},"inventoryStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall inventory status of the process"},"isAnonymized":{"description":"Indicates if the entities have been anonymized.","type":"boolean"},"itemReturnJobsRef":{"description":"References to the Item Return Job connected to this process (if present).","items":{"type":"string"},"type":"array"},"lastDomainEntityStatuses":{"description":"The last domain statuses of each domain","items":{"$ref":"#/components/schemas/LastDomainEntityStatusItem"},"type":"array"},"operativeStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall operative status of the process"},"orderRef":{"description":"References to the Order connected to this process (if present).","type":"string"},"packJobRefs":{"description":"References of the Packjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"pickJobRefs":{"description":"References to the Pickjobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"returnRefs":{"description":"References to the Returns connected to this process (if present).","items":{"type":"string"},"type":"array"},"returnStatus":{"$ref":"#/components/schemas/ProcessStatus","default":"NOT_AVAILABLE","description":"Overall return status of the process"},"routingPlanRefs":{"description":"References the RoutingPlans that were used during this process (if present).","items":{"type":"string"},"type":"array"},"serviceJobRefs":{"description":"References to the Service Jobs connected to this process (if present).","items":{"type":"string"},"type":"array"},"shipmentRefs":{"description":"References to the Shipments connected to this process (if present).","items":{"type":"string"},"type":"array"},"status":{"$ref":"#/components/schemas/ProcessStatus","default":"CREATED","description":"Overall status of the process."},"tenantOrderId":{"description":"The tenantOrderId referencing this process.","type":"string"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"required":["gdprCleanupDate","id"],"type":"object","title":"Process","description":"Process"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"DomainStatus":{"enum":["PENDING","CREATED","IN_PROGRESS","STUCK","FINISHED","CANCELED","OBSOLETE"],"type":"string","title":"DomainStatus","description":"DomainStatus"},"DomainStatusHistoryItem":{"description":"This item represent a process status change triggered by a specific domain.","properties":{"domain":{"$ref":"#/components/schemas/DomainType","description":"The domain of the entity that caused the status change."},"domainEntityProcessStatus":{"$ref":"#/components/schemas/DomainStatus","description":"The assigned status"},"domainRef":{"description":"The id of the domain entity that caused the status change.","type":"string"},"statusChangeReasonKey":{"description":"This property captures the reason for the entity’s status change. Each domain can define its own set of reasons, represented as an ENUM","type":"string"},"timestamp":{"description":"Timestamp of the moment at which the state was notified by the domain.","format":"date-time","type":"string"}},"required":["timestamp","domain","domainEntityProcessStatus","domainRef"],"type":"object","title":"DomainStatusHistoryItem"},"DomainType":{"enum":["ORDER","ROUTING_PLAN","PICKJOB","PACKJOB","SHIPMENT","HANDOVER","RETURN","SERVICE_JOB","ITEM_RETURN_JOB","PARCEL","RESERVATION"],"type":"string","title":"DomainType","description":"DomainType"},"ProcessStatus":{"enum":["CREATED","IN_PROGRESS","FINISHED","CANCELED","ERROR","NOT_AVAILABLE"],"type":"string","title":"ProcessStatus","description":"ProcessStatus"},"LastDomainEntityStatusItem":{"description":"An object holding the last DomainStatus of a given entity and its corresponding domain.","properties":{"domain":{"$ref":"#/components/schemas/DomainType","description":"The domain of the entity that caused the status change."},"entityId":{"description":"The entity id","type":"string"},"status":{"$ref":"#/components/schemas/DomainStatus","description":"The status of the entity."}},"required":["domain","status","entityId"],"type":"object","title":"LastDomainEntityStatusItem"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/processes/{processId}":{"get":{"description":"","operationId":"getProcessByID","parameters":[{"in":"path","name":"processId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Process"}}},"description":"The found process."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get process","tags":["Processes (Core)"]}}}}
```

## Get process history logs

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Return all logs for a given process.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"A process groups all entities of an order.","name":"Processes (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ProcessHistoryLogs":{"properties":{"historyLogs":{"items":{"$ref":"#/components/schemas/ProcessHistoryLog"},"maxItems":500,"type":"array"},"total":{"description":"Total number of found entities for this query","type":"integer"}},"type":"object","title":"ProcessHistoryLogs","description":"ProcessHistoryLogs"},"ProcessHistoryLog":{"allOf":[{"$ref":"#/components/schemas/ProcessHistoryLogBase"}],"properties":{"eventType":{"$ref":"#/components/schemas/ProcessHistoryEventType"},"payload":{"description":"Payload varies based on eventType","nullable":true,"oneOf":[{"$ref":"#/components/schemas/RerouteLogPayload"},{"$ref":"#/components/schemas/RerouteLogPayloadBase"},{"$ref":"#/components/schemas/OrderCancellationPayload"},{"$ref":"#/components/schemas/OrderModificationPayloadBase"},{"$ref":"#/components/schemas/ConsumerAddressModifiedLogPayload"},{"$ref":"#/components/schemas/OrderModificationPreferredHandlingTimePayload"},{"$ref":"#/components/schemas/OrderLineItemModifiedLogPayload"},{"$ref":"#/components/schemas/OperativeEntityPayloadBase"},{"$ref":"#/components/schemas/ExternalActionHistoryLogPayload"},{"$ref":"#/components/schemas/ParcelLabelCreationFailedPayload"},{"$ref":"#/components/schemas/OperativeEntityPickingDoneIncompletePayload"},{"$ref":"#/components/schemas/ReturnManagementPayloadBase"}],"type":"object"}},"required":["eventType"],"title":"ProcessHistoryLog","description":"ProcessHistoryLog"},"ProcessHistoryLogBase":{"properties":{"domain":{"$ref":"#/components/schemas/ProcessHistoryDomainType"},"domainRef":{"type":"string"},"eventCause":{"type":"string"},"id":{"type":"string"},"status":{"description":"Status can be OrderStatus, PickJobStatus, PackJobStatus, ParcelStatus, HandoverjobStatus, RoutingPlanStatus, ShipmentStatus, ItemReturnJobStatus or null","nullable":true,"type":"string"},"timestamp":{"description":"Timestamp of the moment at which this log entry was created.","format":"date-time","type":"string"},"type":{"description":"Can be ProcessHistoryLogTypeCommon or user-defined action type","type":"string"},"user":{"$ref":"#/components/schemas/ProcessHistoryLogUser"},"version":{"nullable":true,"type":"number"},"info":{"type":"string"}},"required":["id","type","domain","status","domainRef","version","user","timestamp"],"type":"object","title":"ProcessHistoryLogBase","description":"ProcessHistoryLogBase"},"ProcessHistoryDomainType":{"description":"The domain type of the process history entry","enum":["ORDER","ORDER_MODIFICATION","PICKJOB","PACKJOB","SERVICEJOB","PARCEL","HANDOVER","ROUTING_PLAN","EXTERNAL_ACTION","SHIPMENT","ITEM_RETURN"],"type":"string","title":"ProcessHistoryDomainType"},"ProcessHistoryLogUser":{"properties":{"username":{"type":"string"},"userRef":{"type":"string"}},"required":["userRef","username"],"type":"object","title":"ProcessHistoryLogUser","description":"ProcessHistoryLogUser"},"ProcessHistoryEventType":{"description":"Event types for process history","enum":["ORDER_CREATED","LOCKED_ORDER_CREATED","DELIVERY_PROMISE_CREATED","ORDER_CANCELLED","ORDER_FORCE_CANCELLED","ORDER_UNLOCKED","ORDER_CREATED_FROM_PROMISE","ORDER_MANUAL_REROUTE","UNROUTABLE_ITEMS_REROUTE","ORDER_MANUAL_FACILITY_ASSIGNMENT","ORDER_TIME_TRIGGERED_REROUTE","ORDER_HAS_UNROUTABLE_ITEMS","ORDER_INACTIVITY_TIME_TRIGGERED_REROUTE","TASK_MANUAL_REROUTE","ORDER_MODIFICATION_REROUTE","PICKING_DONE_INCOMPLETE_REROUTE","CONSUMER_ADDRESS_CHANGED","ORDER_ITEM_AMOUNT_CHANGED","ORDER_ITEM_DELETED","ORDER_ITEM_ADDED","ORDER_PREFERRED_DATE_MODIFIED","OPERATIVE_TASK_CREATED","PICKING_IN_PROGRESS","PICKING_DONE","PICKING_DONE_INCOMPLETE","PICKING_ABORTED_NO_ITEMS_PICKED","PICKING_RESET","PICKING_RESTART","PACKING_CREATED","PACKING_IN_PROGRESS","PACKING_DONE","PARCEL_CREATED","PARCEL_LABEL_REQUESTED","PARCEL_LABEL_CREATION_FAILED","HANDOVER_CREATED","HANDOVER_DONE","HANDOVER_DONE_WITH_REFUSED_ITEMS","HANDOVER_CANCELED","SERVICEJOB_CREATED","SERVICEJOB_IN_PROGRESS","SERVICEJOB_DONE","SERVICEJOB_CANCELED","ACTION_TRIGGERED","COMMENT_ADDED","RETURN_ANNOUNCED","RETURN_CANCELED","RETURN_FINISHED","REFUND_TRIGGERED"],"type":"string","title":"ProcessHistoryEventType"},"RerouteLogPayload":{"properties":{"rerouteDescription":{"$ref":"#/components/schemas/RerouteDescriptionHistoryLog"},"targetFacility":{"$ref":"#/components/schemas/ProcessHistoryLogFacility"}},"required":["targetFacility"],"type":"object","title":"RerouteLogPayload","description":"RerouteLogPayload"},"RerouteDescriptionHistoryLog":{"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"id":{"type":"string"},"reason":{"type":"string"},"version":{"type":"number"}},"required":["id","version"],"type":"object","title":"RerouteDescriptionHistoryLog","description":"RerouteDescriptionHistoryLog"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"ProcessHistoryLogFacility":{"properties":{"facilityGroups":{"items":{"$ref":"#/components/schemas/ProcessHistoryLogFacilityGroup"},"type":"array"},"facilityRef":{"type":"string"},"name":{"type":"string"},"version":{"type":"number"}},"type":"object","title":"ProcessHistoryLogFacility","description":"ProcessHistoryLogFacility"},"ProcessHistoryLogFacilityGroup":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"facilityGroupRef":{"type":"string"},"name":{"type":"string"},"version":{"type":"number"}},"required":["facilityGroupRef","version","nameLocalized"],"type":"object","title":"ProcessHistoryLogFacilityGroup","description":"ProcessHistoryLogFacilityGroup"},"RerouteLogPayloadBase":{"properties":{"rerouteDescription":{"$ref":"#/components/schemas/RerouteDescriptionHistoryLog"}},"type":"object","title":"RerouteLogPayloadBase","description":"RerouteLogPayloadBase"},"OrderCancellationPayload":{"properties":{"cancelationReason":{"$ref":"#/components/schemas/CancelationReasonHistoryLog"}},"type":"object","title":"OrderCancellationPayload","description":"OrderCancellationPayload"},"CancelationReasonHistoryLog":{"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"id":{"type":"string"},"reason":{"type":"string"},"version":{"type":"number"}},"required":["id","version"],"type":"object","title":"CancelationReasonHistoryLog","description":"CancelationReasonHistoryLog"},"OrderModificationPayloadBase":{"properties":{"reason":{"type":"string"}},"type":"object","title":"OrderModificationPayloadBase","description":"OrderModificationPayloadBase"},"ConsumerAddressModifiedLogPayload":{"properties":{"changes":{"description":"List of address changes","items":{"$ref":"#/components/schemas/ConsumerAddressModifiedLogEntry"},"type":"array"}},"type":"object","title":"ConsumerAddressModifiedLogPayload","description":"ConsumerAddressModifiedLogPayload"},"ConsumerAddressModifiedLogEntry":{"properties":{"addressType":{"$ref":"#/components/schemas/AddressType"},"changedFields":{"items":{"type":"string"},"type":"array"}},"type":"object","title":"ConsumerAddressModifiedLogEntry","description":"ConsumerAddressModifiedLogEntry"},"AddressType":{"description":"Type of this address, used e.g. for communication with the carrier. Use POSTAL_ADDRESS for the address where the order should be shipped to, INVOICE_ADDRESS for the address where the invoice is sent to and PARCEL_LOCKER if a parcel locker is used for this order.","enum":["POSTAL_ADDRESS","PARCEL_LOCKER","INVOICE_ADDRESS"],"type":"string","title":"AddressType"},"OrderModificationPreferredHandlingTimePayload":{"allOf":[{"$ref":"#/components/schemas/OrderModificationPayloadBase"}],"properties":{"newPreferredHandlingTime":{"description":"Updated preferredHandlingTime value","format":"date-time","type":"string"},"previousPreferredHandlingTime":{"description":"preferredHandlingTime value before an update","format":"date-time","type":"string"}},"required":["previousPreferredHandlingTime","newPreferredHandlingTime"],"title":"OrderModificationPreferredHandlingTimePayload","description":"OrderModificationPreferredHandlingTimePayload"},"OrderLineItemModifiedLogPayload":{"allOf":[{"$ref":"#/components/schemas/OrderModificationPayloadBase"}],"properties":{"articles":{"description":"List of modified articles","items":{"$ref":"#/components/schemas/ArticleHistoryLog"},"type":"array"}},"title":"OrderLineItemModifiedLogPayload","description":"OrderLineItemModifiedLogPayload"},"ArticleHistoryLog":{"properties":{"titleLocalized":{"$ref":"#/components/schemas/LocaleString"},"measurementUnit":{"properties":{"abbreviationLocalized":{"$ref":"#/components/schemas/LocaleString"}},"type":"object"},"newQuantity":{"type":"number"},"previousQuantity":{"type":"number"},"title":{"type":"string"}},"required":["title"],"type":"object","title":"ArticleHistoryLog","description":"ArticleHistoryLog"},"OperativeEntityPayloadBase":{"properties":{"facility":{"$ref":"#/components/schemas/ProcessHistoryLogFacility"},"shortId":{"type":"string"}},"required":["facility"],"type":"object","title":"OperativeEntityPayloadBase","description":"OperativeEntityPayloadBase"},"ExternalActionHistoryLogPayload":{"properties":{"groups":{"items":{"type":"string"},"type":"array"}},"required":["groups"],"type":"object","title":"ExternalActionHistoryLogPayload","description":"ExternalActionHistoryLogPayload"},"ParcelLabelCreationFailedPayload":{"allOf":[{"$ref":"#/components/schemas/OperativeEntityPayloadBase"}],"properties":{"errorMessage":{"type":"string"}},"required":["errorMessage"],"type":"object","title":"ParcelLabelCreationFailedPayload","description":"ParcelLabelCreationFailedPayload"},"OperativeEntityPickingDoneIncompletePayload":{"allOf":[{"$ref":"#/components/schemas/OperativeEntityPayloadBase"}],"properties":{"shortPickedItems":{"items":{"$ref":"#/components/schemas/OperativeEntityShortPickedItem"},"type":"array"}},"title":"OperativeEntityPickingDoneIncompletePayload","description":"OperativeEntityPickingDoneIncompletePayload"},"OperativeEntityShortPickedItem":{"properties":{"article":{"$ref":"#/components/schemas/ArticleHistoryLog"},"picked":{"type":"number"},"quantity":{"type":"number"},"shortPickReason":{"$ref":"#/components/schemas/PickLineShortPickReason"}},"required":["article","picked","quantity"],"type":"object","title":"OperativeEntityShortPickedItem","description":"OperativeEntityShortPickedItem"},"PickLineShortPickReason":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Localized reason"},"reason":{"description":"translated reasonLocalized according to the given locale","type":"string"}},"required":["reasonLocalized"],"title":"PickLineShortPickReason","description":"PickLineShortPickReason"},"ReturnManagementPayloadBase":{"properties":{"facility":{"$ref":"#/components/schemas/ProcessHistoryLogFacility"},"itemReturnJobsRef":{"type":"string"},"shortId":{"type":"string"}},"type":"object","title":"ReturnManagementPayloadBase","description":"ReturnManagementPayloadBase"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/processes/{processId}/historylogs":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Return all logs for a given process.","operationId":"getProcessHistoryLogs","parameters":[{"in":"path","name":"processId","required":true,"schema":{"type":"string"}},{"description":"all entities after given Id","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"number of entities to show","in":"query","name":"size","required":false,"schema":{"default":25,"type":"integer"}},{"description":"control whether you want to filter consecutive duplicate logs","in":"query","name":"filterConsecutiveDuplicates","required":false,"schema":{"default":true,"type":"boolean"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessHistoryLogs"}}},"description":"The process logs which were found in response body"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get process history logs","tags":["Processes (Core)"]}}}}
```

## POST /api/processes/{processId}/documents

> Create process document

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"A process groups all entities of an order.","name":"Processes (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ExternalDocumentForCreation":{"additionalProperties":false,"properties":{"file":{"$ref":"#/components/schemas/NamedFile"},"priority":{"minimum":0,"type":"number"},"section":{"$ref":"#/components/schemas/Section"},"type":{"$ref":"#/components/schemas/DocumentType"}},"required":["type","section"],"type":"object","title":"ExternalDocumentForCreation","description":"ExternalDocumentForCreation"},"NamedFile":{"additionalProperties":false,"properties":{"content":{"description":"File content base64 encoded","type":"string"},"name":{"description":"File name with extension","type":"string"}},"required":["name","content"],"type":"object","xml":{"name":"NamedFile"},"title":"NamedFile","description":"NamedFile"},"Section":{"enum":["ORDER","PACKJOB","PICKJOB","HANDOVERJOB","PARCEL","PACKING_TARGET_CONTAINER"],"type":"string","title":"Section","description":"Section"},"DocumentType":{"enum":["PDF","PNG","JPG","GIF","JPEG","XML","JSON"],"type":"string","title":"DocumentType","description":"DocumentType"},"ExternalDocument":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"id":{"type":"string"},"name":{"type":"string"},"path":{"type":"string"},"priority":{"minimum":0,"type":"number"},"section":{"$ref":"#/components/schemas/Section"},"type":{"$ref":"#/components/schemas/DocumentType"}},"required":["type","section","id"],"type":"object","title":"ExternalDocument","description":"ExternalDocument"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/processes/{processId}/documents":{"post":{"description":"","operationId":"addDocumentToProcess","parameters":[{"in":"path","name":"processId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalDocumentForCreation"}}},"description":"","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalDocument"}}},"description":"The document was successfully created"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"}},"summary":"Create process document","tags":["Processes (Core)"]}}}}
```

## List inbound processes (search)

> Search for InboundProcess

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read inbound processes and receipts.","name":"Inbound (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"InboundProcessSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/InboundProcessSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/InboundProcessSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"InboundProcessSearchPayload","type":"object","description":"InboundProcessSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"InboundProcessSearchQuery":{"properties":{"and":{"items":{"$ref":"#/components/schemas/InboundProcessSearchQuery"},"maxItems":500,"type":"array"},"customAttributes":{"additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/BooleanFilter"},{"$ref":"#/components/schemas/StringEqFilter"},{"$ref":"#/components/schemas/NumberEqFilter"},{"$ref":"#/components/schemas/DateFilter"}]},"description":"Search by custom attributes","type":"object"},"facilityRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by facilityRef"},"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"inboundDate":{"allOf":[{"$ref":"#/components/schemas/DateListFilter"}],"description":"Search by inboundDate"},"or":{"items":{"$ref":"#/components/schemas/InboundProcessSearchQuery"},"maxItems":500,"type":"array"},"purchaseOrder":{"allOf":[{"$ref":"#/components/schemas/InboundProcessPurchaseOrderFilter"}],"description":"Nested search by purchaseOrder"},"receipts":{"allOf":[{"$ref":"#/components/schemas/InboundProcessReceiptsListFilter"}],"description":"Nested list search by receipts"},"scannableCodes":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by scannableCodes"},"status":{"allOf":[{"$ref":"#/components/schemas/InboundProcessStatusTypeEnumFilter"}],"description":"Search by status"},"tenantInboundProcessId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by tenantInboundProcessId"}},"title":"InboundProcessSearchQuery","type":"object","description":"InboundProcessSearchQuery"},"BooleanFilter":{"properties":{"eq":{"type":"boolean"},"notEq":{"type":"boolean"}},"title":"BooleanFilter","type":"object","description":"BooleanFilter"},"StringEqFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"}},"title":"StringEqFilter","type":"object","description":"StringEqFilter"},"NumberEqFilter":{"properties":{"eq":{"type":"number"},"gt":{"type":"number"},"gte":{"type":"number"},"lt":{"type":"number"},"lte":{"type":"number"},"notEq":{"type":"number"}},"title":"NumberEqFilter","type":"object","description":"NumberEqFilter"},"DateFilter":{"properties":{"after":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events after the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"before":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events before the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"eq":{"format":"date-time","type":"s
[...]
